Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.

Help-load uclinux on FPGA

Altera_Forum
Honored Contributor II
1,631 Views

Dear friends, 

Recently I have a try for loading uclinux on FPGA. And I do it as Altera wiki-Install Nios II Linux. 

http://www.alterawiki.com/wiki/install_nios_ii_linux 

And when I have install the gcc-4.2 and then make commands as list: 

--tar xf <path_to>nios2-linux-20100621.tar  

--cd nios2-linux 

--cd uClinux-dist 

--make menuconfig 

I was stack in this step,the message is 

"make: *** No rule to make target `menuconfig'. Stop." 

Any one occured this problem before?Please give some advice. 

Thank you a lot! 

 

Davidchaning
0 Kudos
6 Replies
Altera_Forum
Honored Contributor II
100 Views

Do you do the checkout step?

Altera_Forum
Honored Contributor II
100 Views

I have try this step ,but it doesn't make effect.

Altera_Forum
Honored Contributor II
100 Views

Did you load .ptf file? You need to do something like 

 

make vendor_hwselect SYSPTF=<path>/my_sopc.ptf 

 

Try this even if the wiki says that this step must be done after. Often I had to type "make menuconfig" before and after "make vendor_hwselect"
Altera_Forum
Honored Contributor II
100 Views

are you sure that the hw_select shall be done? 

If you follow latest branches (see http://www.alteraforum.com/forum/showthread.php?t=31829), the device tree fashion should be followed. hw_select is the way that was used in the old nioswiki times.
Altera_Forum
Honored Contributor II
100 Views

hw_select doesn't work any more 

 

you need to create header file with sopc2swheaders script and use it 

 

The wiki is not updated, some times it is a mix of old and new. 

 

your problem could be missing packages.
Altera_Forum
Honored Contributor II
100 Views

Thank u. 

I have not got the problem yet.
Reply